local fn = _gn(0x6B9BBD38AB0796DF)
--- Attach an entity to the specified entity.
-- @param entity1 Entity to attach.
-- @param entity2 Entity to attach `entity1` with.
-- @param boneIndex This is different to boneID, use ['GET_PED_BONE_INDEX'](#\_0x3F428D08BE5AAE31) to get the index from the ID. use the index for attaching to specific bones. `entity1` will be attached to the center of `entity2` if bone index given doesn't correspond to bone indexes for that entity type.
-- @param xPos X-axis offset from the center of `entity2`.
-- @param yPos Y-axis offset from the center of `entity2`.
-- @param zPos Z-axis offset from the center of `entity2`.
-- @param xRot X-axis rotation.
-- @param yRot Y-axis rotation.
-- @param zRot Z-axis rotation.
-- @param p9 Unknown. Does not seem to have any effect.
-- @param useSoftPinning If set to false attached entity will not detach when fixed.
-- @param collision Controls collision between the two entities (FALSE disables collision).
-- @param isPed Pitch doesnt work when false and roll will only work on negative numbers (only peds)
-- @param rotationOrder The order in which the rotation is applied. See [`GET_ENTITY_ROTATION`](#\_0xAFBD61CC738D9EB9)
-- @param syncRot If false it ignores entity rotation.
function Global.AttachEntityToEntity(entity1, entity2, boneIndex, xPos, yPos, zPos, xRot, yRot, zRot, p9, useSoftPinning, collision, isPed, rotationOrder, syncRot)
	return _in2(fn, entity1, entity2, boneIndex, xPos, yPos, zPos, xRot, yRot, zRot, p9, useSoftPinning, collision, isPed, rotationOrder, syncRot)
end
