local fn = _gn(0x632B2940C67F4EA9)
--- Gets mouse selection data from scaleforms with mouse support. Must be checked every frame.
-- Returns item index if using the COLOUR_SWITCHER\_02 scaleform.
-- Selection types, found in MOUSE_EVENTS.as:
-- MOUSE_DRAG_OUT = 0;
-- MOUSE_DRAG_OVER = 1;
-- MOUSE_DOWN = 2;
-- MOUSE_MOVE = 3;
-- MOUSE_UP = 4;
-- MOUSE_PRESS = 5;
-- MOUSE_RELEASE = 6;
-- MOUSE_RELEASE_OUTSIDE = 7;
-- MOUSE_ROLL_OUT = 8;
-- MOUSE_ROLL_OVER = 9;
-- MOUSE_WHEEL_UP = 10;
-- MOUSE_WHEEL_DOWN = 11;
-- Scaleforms that this works with:
-- *   COLOUR_SWITCHER\_02
-- *   MP_RESULTS_PANEL
-- *   MP_NEXT_JOB_SELECTION
-- *   SC_LEADERBOARD
-- Probably works with other scaleforms, needs more research.
-- In order to use this Native you MUST have controls 239, 240, 237, 238 enabled!
-- This native, due to its erroneous redundancy of the returned boolean value, works differently in C#: shifting the parameters (where `received` becomes `selectionType` and so on making the fourth parameter unused and always 0).
-- @param scaleformHandle Handle of the scaleform
-- @param received Returns a boolean indicating if the data was received successfully (in Lua).
-- @param selectionType The type of MouseEvent specified above.
-- @param context Context of the slot the mouse is hovering on.
-- @param slotIndex Index of the slot the mouse is hovering on.
-- @return *   **retVal** Returns true if MOUSE_EVENT callback from Scaleforms has been called.
function Global.GetScaleformMovieCursorSelection(scaleformHandle)
	return _in2(fn, scaleformHandle, _i --[[ actually bool ]], _i, _i, _i, _r)
end
